import type {Route} from "../../../.react-router/types/app/pages/dashboard/+types/Page2";
import {useDisclosure} from "@mantine/hooks";
import {useState} from "react";
import {useNavigate} from "react-router";
import { useOutletContext } from 'react-router';
import type {OutletContextType} from "~/utils/models.ts";

export function meta({}: Route.MetaArgs) {
    return [
        { title: "Dashboard P2" },
        { name: "description", content: "Dashboard P2" },
    ];
}

export default function Component() {
    const navigate = useNavigate();
    const { refreshMyInfo, changePage } = useOutletContext<OutletContextType>();

    return (
        <h1>Dashboard Page2</h1>
    );
}
